MonoMac 0.0.0.0 System.Object Access to the operating system keychain.

This class provides both basic and advanced means to manipulate iOS or MacOS keychain. Majority Mac OS X keychain scenarios involve adding or looking up the stored password. AddInternetPassword and FindInternetPassword provide high-level API to accomplish this for Internet passwords. For generic passwords, the AddGenericPassword and FindInternetPassword perform the same task. Other methods of this class may be used for iOS or more advanced MacOS keychain scenarios.

`var password = Encoding.UTF8.GetBytes("pA$$w0rd"); SecKeyChain.AddInternetPassword("bugzilla.novell.com", "miguel", password);` `byte[] password = null; var code = SecKeyChain.FindInternetPassword("bugzilla.novell.com", "miguel", out password); if (code == SecStatusCode.Success) { var passwordString = Encoding.UTF8.GetString(password); Console.WriteLine("The password for the account is: {0}", passwordString); }` `var query = new SecRecord (SecKind.InternetPassword) { Sever = "bugzilla.novell.com", Account = "miguel" }; var password = SecKeyChain.QueryAsData (query); Console.WriteLine ("The password for the account is: {0}", password);`
- Method
  0.0.0.0
  MonoMac.Security.SecStatusCode `` A populated record. Adds the specified record to the keychain. The result of the operation.
- Method
  0.0.0.0
  MonoMac.Security.SecStatusCode `` `` `` The name of the service for the generic password. The name of the account for the generic password. Array of bytes representing the password. The method allows to add a new generic password to the default keychain (MacOS only). If the method succeeds, SecStatusCode.Success is returned. Otherwise the return value indicates the reason for the failure. This method can be used to add passwords to the default MacOS keychain for the various types of accounts other than the Internet: databases, network shares and so on. If the password with the given serviceName or accountName already exist in the default keychain, the method will fail with the SecStatusCode.DuplicateItem return value. To update existing password, use SecKeyChain.Update. This method will cause the Unlock Keychain dialog box to be displayed, if the default keychain is currently locked. This method is not available for iOS.
- Method
  0.0.0.0
  MonoMac.Security.SecStatusCode `` `` `` `` `` `` `` `` The server name for the Internet password. The account name for the Internet password. Array of bytes representing the password. Optional network protocol associated with the Internet password. If not provided, defaults to SecProtocol.Http. Optional TCP/IP port associated with the Internet password. If not provided, defaults to 0. Optional string which represents the path for the Internet password. If not provided, defaults to null. Optional authentication type for the Internet password. If not provided, defaults to SecAuthenticationType.Default. Optional security domain, if the protocol requires it. If not provided, defaults to null. This method allows to add a new Internet password to the default keychain (MacOS only). If the method succeeds, SecStatusCode.Success is returned. Otherwise the return value indicates the reason for the failure. This method can be used to add passwords to the default MacOS keychain for the Internet accounts. For any other types of accounts, use SecKeyChain.AddGenericPassword. If the password with the given serviceName or accountName already exist in the default keychain, the method will fail with the SecStatusCode.DuplicateItem return value. To update existing password, use SecKeyChain.Update. This method will cause the Unlock Keychain dialog box to be displayed, if the default keychain is currently locked. This method is not available for iOS.
- Method
  0.0.0.0
  MonoMac.Security.SecStatusCode `` `` `` The name of the service for generic password. The account name of the service for generic password. If the method succeeds, the byte array representing the password. This method looks up for a generic password in the default keychain (MacOS only). If the method succeeds, SecStatusCode.Success is returned. Otherwise the return value indicates the reason for the failure. This method can be used to lookup for the password in the default MacOS keychain for accounts other than Internet. Both serviceName and accountName are optional and will accept nulls. Provide as many as needed to narrow the search sufficiently for your application. If multiple matching passwords exist, the first one will be returned. This method will cause the Unlock Keychain dialog box to be displayed, if the default keychain is currently locked. This method is not available for iOS.
- Method
  0.0.0.0
  MonoMac.Security.SecStatusCode `` `` `` `` `` `` `` `` The server name for the Internet password. The account name for the internet password. If the method succeeds, the byte array representing the password. Optional network protocol associated with the Internet password. If not provided, defaults to SecProtocol.Http. Optional TCP/IP port associated with the Internet password. If not provided, defaults to 0. Optional string which represents the path for the Internet password. If not provided, defaults to null. Optional authentication type for the Internet password. If not provided, defaults to SecAuthenticationType.Default. Optional security domain, if the protocol requires it. If not provided, defaults to null. This method looks up for the password in the default MacOS keychain for Internet accounts. If the method succeeds, SecStatusCode.Success is returned. Otherwise the return value indicates the reason for the failure. This method can be used to lookup for the password in the default MacOS keychain for Internet accounts. Most of the parameters are optional and will accept null. Provide as many as needed to narrow the search sufficiently for your application. If multiple matching passwords exist, the first one will be returned. This method will cause the Unlock Keychain dialog box to be displayed, if the default keychain is currently locked. This method is not available for iOS.
- Method
  0.0.0.0
  MonoMac.Foundation.NSData `` The query used to lookup the value on the keychain. Fetches an NSData record from the Keychain. The NSData associated with the given query.
- Method
  0.0.0.0
  MonoMac.Foundation.NSData[] `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSData `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSData[] `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Security.SecRecord `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Security.SecRecord[] `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Security.SecStatusCode `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Security.SecStatusCode `` `` To be added. To be added. To be added. To be added. To be added.